hrepack(1)

NAME
hrepack - copies an HDF file to a new file

SYNOPSIS
hrepack
-i input -o output [-V] [-h] [-v] [-t comp_info] [-c chunk_info] [-f cfile] [-m size]

DESCRIPTION
hrepack copies an HDF file to a new file with/without compression and/or chunking.

OPTIONS

\FC-i\F[] input
    input HDF File

\FC-o\F[] output
    output HDF File

\FC-V\F[]
    prints version of the HDF4 library and exits

\FC-h\F[]
    prints usage information

\FC-v\F[]
    verbose mode

\FC-t\F[] comp_info
    compression type: 'comp_info' is a string with the format <object list>:<type of compression><parameters> <object list> is a comma separated list of object names meaning apply compression only to those objects. '*' means all objects. <type of compression> can be:
    RLE for RLE compression HUFF for Huffman GZIP for gzip JPEG for JPEG (for images only) SZIP for szip NONE to uncompress
<parameters> is optional compression info
    RLE no parameter HUFF the skip-size GZIP the deflation level JPEG the quality factor SZIP pixels per block, compression mode (NN or EC)

\FC-c\F[] chunk_info
    apply chunking. chunk_info is a string with the format <object list>:<chunk information> <object list> is a comma separated list of object names meaning apply chunking only to those objects. '*' means all objects <chunk information> is the chunk size of each dimension: dim_1 x dim_2 x ... dim_n or NONE, to unchunk a previous chunked object

\FC-f\F[] cfile
    file with compression information \FC-t\F[] and \FC-c\F[]

\FC-m\F[] size
    do not compress objects smaller than size (bytes)

EXAMPLES
compresses all objects in the file \FCfile1.hdf\F[], using RLE compression

\FC
hrepack -v -i file1.hdf -o file2.hdf -t '*:RLE'
      \F[]

applies Skipping Huffman compression with skip factor of 1, for objects /group1/A, /group2/B and C

\FC
hrepack -v -i file1.hdf -o file2.hdf -t '/group1/A,/group2/B,C:HUFF 1'
      \F[]

applies RLE compression for object /group1/D.

applies chunking to objects D and E using a chunk size of 10 for the 2 dimensions

\FC
hrepack -v -i file1.hdf -o file2.hdf -t '/group1/D:RLE' -c 'D,E:10x10'
      \F[]

uncompresses object A

\FC
hrepack -v -i file1.hdf -o file2.hdf -t 'A:NONE'
      \F[]

applies SZIP compression to object A, with parameters 8 and NN

\FC
hrepack -v -i file1.hdf -o file2.hdf -t 'A:SZIP 8,NN'
      \F[]

Note: the use of the verbose option -v is recommended